
//是否定制
const options1 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//专属类型
const options2 = [
  { id: "0", name: "非泰康" },
  { id: "1", name: "泰康" },
]
//销售权限
const options3 = [
  { id: "0", name: "无销售权限" },
  { id: "1", name: "有销售权限" },
]

//是否库存品
const options4 = [
  { id: "0", name: "非库存品" },
  { id: "1", name: "库存品" },
]
//是否启用实时金价
const options5 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//供货区域
const options6 = [
  { id: "1", name: "全国" },
  { id: "2", name: "全国除偏远" },
]
//是否启用阶梯
const options7 = [
  { id: "0", name: "否" },
  { id: "1", name: "是" },
]
//有无工差
const options8 = [
  { id: "0", name: "无工差" },
  { id: "1", name: "有工差" },
]
//配置要求
const options9 = ["证书", "包装盒", "绒布袋", "标签", "其他"]
//付款方式
const options10 = [
  { id: "0", name: "现结" },
  { id: "1", name: "月清" },
  { id: "2", name: "双月清" },
]
//发货方式
const options11 = [
  { id: "0", name: "公司自提" },
  { id: "1", name: "供应商包邮" },
]

const options12 = [
  { id: "0", name: "一地" },
  { id: "1", name: "多地" },
]
const statusList = [
  { id: "0", label: "待业务主管审核", type: "warning" },
  { id: "1", label: "业务主管通过", type: "success" },
  { id: "2", label: "待财务专员审批", type: "warning" },
  { id: "3", label: "业务主管驳回", type: "danger" },
  { id: "4", label: "待财务主管审核", type: "warning" },
  // { id: "5", label: "专员驳回", type: "" },
  { id: "6", label: "财务主管通过", type: "success" },
  { id: "7", label: "待BOSS审批", type: "warning" },
  { id: "8", label: "财务主管驳回", type: "danger" },
  { id: "9", label: "boss通过", type: "success" },
  { id: "10", label: "boss越线通过", type: "" },
  { id: "11", label: "boss驳回", type: "danger" },
]
const editColumns = [
  {
    prop: "bargainNo",
    label: "议价单编号",
    span: 6
  },

  {
    prop: "bidsNo",
    label: "反馈商品编号",
    span: 6
  },
  {
    prop: "infoNo",
    label: "咨询单编号",
    span: 6
  },
  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    span: 6
  },


  {
    prop: "good_name",
    label: "商品名称",
    span: 12
  },
  {
    prop: "specinfo",
    label: "商品规格",
    _slot_: "specinfo",
    span: 12
  },
  {
    prop: "can",
    label: "商品分类",
    _slot_: "can",
    span: 6
  },
  {
    prop: "brand_name",
    label: "品牌",
    span: 6
  },

  {
    prop: "origin_addr",
    label: "产地",
    span: 6
  },
  {
    prop: "weight",
    label: "商品总重量",
    append: 'g',
    span: 6
  },

  {
    prop: "supply_area",
    label: "供货区域",
    _slot_: "supply_area",
    span: 6
  },
  {
    prop: "pay_way",
    label: "付款方式",
    _slot_: "pay_way",
    span: 6
  },
  {
    prop: "send_way",
    label: "发货方式",
    _slot_: "send_way",
    span: 6
  },
  {
    prop: "addtime",
    label: "添加时间",
    span: 6
  },
  {
    prop: "tax",
    label: "税点",
    append: '%',
    span: 4
  },
  {
    prop: "expire_day",
    label: "咨询有效期",
    append: '天',
    span: 4
  },
  {
    prop: "delivery_day",
    label: "物流时间",
    append: '天',
    span: 4
  },
  {
    prop: "work_day",
    label: "生产工期",
    append: '天',
    span: 4
  },

  {
    prop: "is_addrs",
    label: "是否多地",
    _slot_: "is_addrs",
    span: 4
  },
  {
    prop: "is_custom",
    label: "是否定制",
    _slot_: "is_custom",
    span: 4
  },





  {
    prop: "good_num",
    label: "购买数量",
    _slot_: "good_num",
    span: 4
  },
  {
    prop: "creater",
    label: "创建人",
    span: 4
  },


  {
    prop: "metal_id",
    label: "贵金属信息",
    _slot_: "metal_id",
    span: 16
  },








  {
    prop: "remark",
    label: "采购备注",
    span: 24
  },

  {
    prop: "cost_desc",
    label: "工艺说明",
    span: 24
  },
  {
    prop: "result_info",
    label: "议价原因",
    span: 24
  },
  {
    prop: "bargain_remark",
    label: "议价备注",
    span: 24
  },
  {
    prop: "good_img",
    label: "商品图片",
    _slot_: "good_img",
    span: 24
  },
  {
    prop: "sale_price",
    label: "议价前售价",
    append: '元',
    span: 6
  },
  {
    prop: "after_price",
    label: "议价后售价",
    append: '元',
    span: 6
  },

  {
    prop: "cost_before_price",
    label: "议价前工艺费",
    append: '元',
    span: 6
  },

  {
    prop: "cost_after_price",
    label: "议价后工艺费",
    append: '元',
    span: 6
  },
 
]

const costArr = [
  {
    prop: "cert_fee",
    label: "成本证书费",
    append: '元',
    span: 6
  },
  {
    prop: "pakge_fee",
    label: "成本包装费",
    append: '元',
    span: 6
  },
  {
    prop: "cost_fee",
    label: "成本工艺费",
    append: '元',
    span: 6
  },
  {
    prop: "mark_fee",
    label: "成本加标费",
    append: '元',
    span: 6
  },

  {
    prop: "demo_fee",
    label: "成本打样费",
    append: '元',
    span: 6
  },
  {
    prop: "open_fee",
    label: "成本开模费",
    append: '元',
    span: 6
  },
  {
    prop: "delivery_fee",
    label: "成本物流费",
    append: '元',
    span: 6
  },
  {
    prop: "nake_fee",
    label: "成本裸价",
    append: '元',
    span: 6
  },
  {
    prop: "total_fee",
    label: "采购成本合计",
    append: '元',
    span: 24
  },
]

const bargainingArr = [


  {
    prop: "before_rate",
    label: "议价前毛利率",
    append: '%',
    span: 12
  },


  {
    prop: "after_rate",
    label: "议价后毛利率",
    append: '%',
    span: 12
  },



]

const listCol = [
  {
    prop: "bargainNo",
    label: "议价编号",
    width: "155"
  },

  {
    prop: "infoNo",
    label: "咨询单编号",
    width: "155"
  },

  {
    prop: "status",
    label: "状态",
    _slot_: "status",
    width: "120px",
  },
  {
    prop: "bidsNo",
    label: "采返商品编号",
    width: "155"
  },
  // {
  //   prop: "good_img",
  //   label: "图片",
  //   _slot_: "good_img",
  //   "width": "50"
  // },
  {
    prop: "good_name",
    label: "商品名称",
    _slot_: "good_name",
    "min-width": "180"
  },
  {
    prop: "can",
    label: "分类",
    _slot_: "can",
    "min-width": "125"
  },

  // {
  //   prop: "except_code",
  //   label: "预算单价",
  //   _slot_: "except_code",
  //   width: 110,

  // },

  {
    prop: "creater",
    label: "申请人",
    "width": "75"
  },


  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
    width: 50,
  },
]



export {
  listCol, options1,
  options2,
  options3,
  options4,
  options5,
  options6,
  options7,
  options8,
  options9,
  options10,
  options11,
  options12,
  editColumns,
  bargainingArr,
  costArr,
  statusList
}