// 物业管理员
import http from "@/apis/axios";
const api = "admin/";
export default {
  // 添加
  add: (data, params) => http(api + "salecreate", data, "post", params),
  // 删除
  delete: (data, params) => http(api + "delete", data, "post", params),
  // 分页查询
  list: (data, params) => http(api + "salelist", data, "post", params),
  // 详情
  detail: (data, params) => http(api + "detail", data, "post", params),
  // 更新
  update: (data, params) => http(api + "update", data, "post", params),
  // 修改状态
  status: (data, params) => http(api + "accountstatus", data, "post", params),
  //验证售价
  salegetprice: (data, params) => http(api + "salegetprice", data, "post", params),
  // 线上商品详情
  goods_detail: (data, params) => http(api + "goodinfo", data, "post", params),
  // 线上商品获取活动
  goods_active: (data, params) => http(api + "actquery", data, "post", params),
  //订单用途绑定
  saleuse: (data, params) => http(api + "saleuse", data, "post", params),
  //订单用途列表
  uselist: (data, params) => http(api + "uselist", data, "post", params),
  //添加其他业管、PO、承诺回款时间
  saleaddother: (data, params) => http(api + "saleaddother", data, "post", params),
  //延时发货追加地址
  saleaddr: (data, params) => http(api + "saleaddr", data, "post", params),
  // 区编码获取省市区汉字
  addrall: (data, params) => http(api + "addrall", data, "post", params),
};
